[Testing Update] 2018-10-13 - Kernels, Firefox, Pamac, XFCE, Grub-Quiet

Hi community,

So it took us some more days to push additional packages for the upcoming stable update-pack.

Here the brief overall changes with this update:

  • We updated most of our kernels
  • We fixed grub-default settings for grub-quiet
  • Firefox-Dev to updated to it's latest beta release
  • More tuning to Pamac-Dev build to improve AUR support in UI and CLI
  • Some XFCE4-GTK3 packages got updated
  • Upstream fixes incl. haskell and python

We hope with all these changes Manjaro to be more efficient for you all.


#rc-release - 18.0 will be available in late October!

If you are curious about the latest state of development for the upcoming Manjaro-Illyria 18.0 release, you now have the opportunity to download a rc-build of Manjaro-Xfce 18.0 including the latest xfce-gtk3 packages aswell as our most recent styling efforts. Our KDE fans may try our rc-build with the latest KDE v5.13 instead. And our GNOME fans may try our rc-build with the latest GNOME v3.30.


Current supported Kernels

  • linux316 3.16.59
  • linux318 3.18.124 [EOL]
  • linux44 4.4.161
  • linux49 4.9.133
  • linux414 4.14.76
  • linux417 4.17.19 [EOL]
  • linux418 4.18.14
  • linux419 4.19-rc7
  • linux414-rt 4.14.71_rt44
  • linux416-rt 4.16.18_rt11

Package Updates ( Sat Oct 13 08:14:41 CEST 2018)

  • testing community x86_64: 124 new and 124 removed package(s)
  • testing core x86_64: 15 new and 15 removed package(s)
  • testing extra x86_64: 95 new and 95 removed package(s)
  • testing multilib x86_64: 1 new and 1 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-12           2018-10-13
-------------------------------------------------------------------------------
                       cesious-theme                1.3-1                1.4-1
         manjaro-application-utility              1.0.1-2              1.0.1-3
              manjaro-bspwm-settings           20181007-1           20181012-1
      manjaro-bspwm-settings-minimal           20181007-1           20181012-1
              manjaro-theme-settings           20181008-1           20181012-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-12           2018-10-13
-------------------------------------------------------------------------------
                           duplicity             0.7.18-1           0.7.18.1-1
                          emscripten            1.38.12-1            1.38.13-1
           firefox-developer-edition            63.0b10-1            63.0b14-1
  firefox-developer-edition-i18n-ach            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-af            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-an            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-ar            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-as            63.0b10-1            63.0b14-1
  firefox-developer-edition-i18n-ast            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-az            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-be            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-bg            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-bn-bd            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-bn-in            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-br            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-bs            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-ca            63.0b10-1            63.0b14-1
  firefox-developer-edition-i18n-cak            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-cs            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-cy            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-da            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-de            63.0b10-1            63.0b14-1
  firefox-developer-edition-i18n-dsb            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-el            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-en-gb            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-en-us            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-en-za            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-eo            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-es-ar            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-es-cl            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-es-es            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-es-mx            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-et            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-eu            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-fa            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-ff            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-fi            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-fr            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-fy-nl            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-ga-ie            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-gd            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-gl            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-gn            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-gu-in            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-he            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-hi-in            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-hr            63.0b10-1            63.0b14-1
  firefox-developer-edition-i18n-hsb            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-hu            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-hy-am            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-ia            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-id            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-is            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-it            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-ja            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-ka            63.0b10-1            63.0b14-1
  firefox-developer-edition-i18n-kab            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-kk            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-km            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-kn            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-ko            63.0b10-1            63.0b14-1
  firefox-developer-edition-i18n-lij            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-lt            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-lv            63.0b10-1            63.0b14-1
  firefox-developer-edition-i18n-mai            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-mk            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-ml            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-mr            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-ms            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-my            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-nb-no            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-ne-np            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-nl            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-nn-no            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-or            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-pa-in            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-pl            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-pt-br            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-pt-pt            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-rm            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-ro            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-ru            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-si            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-sk            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-sl            63.0b10-1            63.0b14-1
  firefox-developer-edition-i18n-son            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-sq            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-sr            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-sv-se            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-ta            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-te            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-th            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-tr            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-uk            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-ur            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-uz            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-vi            63.0b10-1            63.0b14-1
   firefox-developer-edition-i18n-xh            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-zh-cn            63.0b10-1            63.0b14-1
firefox-developer-edition-i18n-zh-tw            63.0b10-1            63.0b14-1
                          flawfinder              2.0.6-1              2.0.7-1
                     geoip2-database           20180716-1           20181012-1
                       hashcat-utils                1.8-2                1.9-1
                                hugo               0.49-1             0.49.2-1
                                lmms              1.1.3-4           1.2.0rc7-1
                              nickle               2.81-1               2.82-1
                     python-engineio              2.3.0-1              2.3.1-1
                    python-filebytes             0.9.16-1             0.9.17-1
                    python2-engineio              2.3.0-1              2.3.1-1
                   python2-filebytes             0.9.16-1             0.9.17-1
                         qutebrowser              1.5.0-1              1.5.1-1
                         tensorboard             1.11.0-1             1.11.0-2
                             unbound              1.8.0-1              1.8.1-1
                               v2ray             3.46.4-1               3.47-1
                        vim-fugitive                2.3-1                2.4-1
                       wireshark-cli              2.6.4-1              2.6.4-2
                    wireshark-common              2.6.4-1              2.6.4-2
                       wireshark-gtk              2.6.4-1              2.6.4-2
                        wireshark-qt              2.6.4-1              2.6.4-2


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-12           2018-10-13
-------------------------------------------------------------------------------
                          grub-quiet            2.03.0-16            2.03.0-17
                            linux318           3.18.123-1           3.18.124-1
                    linux318-headers           3.18.123-1           3.18.124-1
                            linux414            4.14.75-1            4.14.76-1
                    linux414-headers            4.14.75-1            4.14.76-1
                            linux418            4.18.13-1            4.18.14-1
                    linux418-headers            4.18.13-1            4.18.14-1
                      linux419 4.19rc7.1007.g0238df6-1 4.19rc7.1013.g7ec2182-1
              linux419-headers 4.19rc7.1007.g0238df6-1 4.19rc7.1013.g7ec2182-1
                             linux44            4.4.160-1            4.4.161-1
                     linux44-headers            4.4.160-1            4.4.161-1
                             linux49            4.9.132-1            4.9.133-1
                     linux49-headers            4.9.132-1            4.9.133-1


:: Different sync package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-12           2018-10-13
-------------------------------------------------------------------------------
                               bison              3.0.5-1                3.1-1
                             ncurses                6.1-3                6.1-4


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-12           2018-10-13
-------------------------------------------------------------------------------
                  linux318-acpi_call             1.1.0-64             1.1.0-65
                   linux318-bbswitch               0.8-64               0.8-65
                linux318-broadcom-wl      6.30.223.271-40      6.30.223.271-41
                   linux318-catalyst     1:15.201.1151-54     1:15.201.1151-55
                linux318-ndiswrapper              1.61-40              1.61-41
                     linux318-nvidia           1:410.57-1           1:410.57-2
               linux318-nvidia-340xx            340.107-7            340.107-8
               linux318-nvidia-390xx             390.87-3             390.87-4
                   linux318-nvidiabl              0.88-54              0.88-55
                      linux318-r8168          8.045.08-19          8.045.08-20
                  linux318-rt3562sta        2.4.1.1_r4-40        2.4.1.1_r4-41
                        linux318-spl             0.7.11-1             0.7.11-2
                   linux318-tp_smapi              0.41-64              0.41-65
                linux318-vhba-module          20161009-40          20161009-41
   linux318-virtualbox-guest-modules             5.2.18-3             5.2.18-4
    linux318-virtualbox-host-modules             5.2.18-3             5.2.18-4
                        linux318-zfs             0.7.11-1             0.7.11-2
                  linux414-acpi_call             1.1.0-61             1.1.0-62
                   linux414-bbswitch               0.8-61               0.8-62
                linux414-broadcom-wl      6.30.223.271-61      6.30.223.271-62
                   linux414-catalyst     1:15.201.1151-61     1:15.201.1151-62
                linux414-ndiswrapper              1.61-61              1.61-62
                     linux414-nvidia           1:410.57-2           1:410.57-3
               linux414-nvidia-340xx           340.107-20           340.107-21
               linux414-nvidia-390xx             390.87-6             390.87-7
                   linux414-nvidiabl              0.88-61              0.88-62
                      linux414-r8168          8.045.08-49          8.045.08-50
                  linux414-rt3562sta        2.4.1.1_r4-61        2.4.1.1_r4-62
                        linux414-spl             0.7.11-1             0.7.11-2
                   linux414-tp_smapi              0.41-61              0.41-62
                linux414-vhba-module          20161009-61          20161009-62
   linux414-virtualbox-guest-modules             5.2.18-9            5.2.18-10
    linux414-virtualbox-host-modules             5.2.18-9            5.2.18-10
                        linux414-zfs             0.7.11-1             0.7.11-2
                  linux419-acpi_call           1.1.0-0.23           1.1.0-0.24
                   linux419-bbswitch             0.8-0.23             0.8-0.24
                linux419-broadcom-wl    6.30.223.271-0.23    6.30.223.271-0.24
                   linux419-catalyst   1:15.201.1151-0.19   1:15.201.1151-0.24
                linux419-ndiswrapper            1.61-0.23            1.61-0.24
                     linux419-nvidia        1:410.57-0.23        1:410.57-0.24
               linux419-nvidia-340xx         340.107-0.23         340.107-0.24
               linux419-nvidia-390xx          390.87-0.23          390.87-0.24
                   linux419-nvidiabl            0.88-0.23            0.88-0.24
                      linux419-r8168        8.045.08-0.23        8.045.08-0.24
                        linux419-spl          0.7.11-0.23          0.7.11-0.24
                   linux419-tp_smapi            0.41-0.23            0.41-0.24
                linux419-vhba-module        20161009-0.23        20161009-0.24
   linux419-virtualbox-guest-modules          5.2.18-0.23          5.2.18-0.24
    linux419-virtualbox-host-modules          5.2.18-0.23          5.2.18-0.24
                        linux419-zfs          0.7.11-0.23          0.7.11-0.24
                   linux44-acpi_call            1.1.0-112            1.1.0-113
                    linux44-bbswitch              0.8-112              0.8-113
                 linux44-broadcom-wl      6.30.223.271-82      6.30.223.271-83
                    linux44-catalyst    1:15.201.1151-112    1:15.201.1151-113
                 linux44-ndiswrapper              1.61-80              1.61-81
                      linux44-nvidia           1:410.57-2           1:410.57-3
                linux44-nvidia-340xx           340.107-17           340.107-18
                linux44-nvidia-390xx             390.87-6             390.87-7
                    linux44-nvidiabl             0.88-112             0.88-113
                       linux44-r8168          8.045.08-34          8.045.08-35
                   linux44-rt3562sta        2.4.1.1_r4-80        2.4.1.1_r4-81
                         linux44-spl             0.7.11-2             0.7.11-3
                    linux44-tp_smapi             0.41-112             0.41-113
                 linux44-vhba-module          20161009-80          20161009-81
    linux44-virtualbox-guest-modules             5.2.18-9            5.2.18-10
     linux44-virtualbox-host-modules             5.2.18-9            5.2.18-10
                         linux44-zfs             0.7.11-2             0.7.11-3
                   linux49-acpi_call             1.1.0-99            1.1.0-100
                    linux49-bbswitch               0.8-99              0.8-100
                 linux49-broadcom-wl      6.30.223.271-99     6.30.223.271-100
                    linux49-catalyst     1:15.201.1151-99    1:15.201.1151-100
                 linux49-ndiswrapper              1.61-97              1.61-98
                      linux49-nvidia           1:410.57-3           1:410.57-4
                linux49-nvidia-340xx           340.107-18           340.107-19
                linux49-nvidia-390xx             390.87-7             390.87-8
                    linux49-nvidiabl              0.88-99             0.88-100
                       linux49-r8168          8.045.08-39          8.045.08-40
                   linux49-rt3562sta        2.4.1.1_r4-97        2.4.1.1_r4-98
                         linux49-spl             0.7.11-2             0.7.11-3
                    linux49-tp_smapi              0.41-99             0.41-100
                 linux49-vhba-module          20161009-97          20161009-98
    linux49-virtualbox-guest-modules            5.2.18-10            5.2.18-11
     linux49-virtualbox-host-modules            5.2.18-10            5.2.18-11
                         linux49-zfs             0.7.11-2             0.7.11-3
                       manjaro-hello                0.6-1              0.6.0-1
                           pamac-dev         7.2.0.dev5-1         7.2.0.dev6-2
         pamac-dev-tray-appindicator         7.2.0.dev5-1         7.2.0.dev6-2
                 xfce4-settings-gtk3             4.13.5-1             4.13.5-2
                      xfdesktop-gtk3             4.13.2-4             4.13.2-5


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-12           2018-10-13
-------------------------------------------------------------------------------
                             flatpak              1.0.3-1              1.0.4-1
                             libgit2           1:0.27.4-1           1:0.27.5-1
               libnautilus-extension             3.30.1-1             3.30.2-1
                            nautilus             3.30.1-1             3.30.2-1
                              openal             1.19.0-2             1.19.1-1
                     openal-examples             1.19.0-2             1.19.1-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-10-12           2018-10-13
-------------------------------------------------------------------------------
                        lib32-openal             1.19.0-2             1.19.1-1
  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:

4 Likes

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Testing Updates Announcements RSS feed


Items from previous update sets

AMD-Ucode introduction

All users of AMD-APUs/CPUs should install this update like this:

sudo pacman -Syyu
sudo pacman -S amd-ucode
sudo pacman -R intel-ucode
sudo update-grub

Step 3 is optional.


LibreOffice has no window decoration in KDE

New line export SAL_USE_VCLPLUGIN=gtk3_kde5, once merged into existing /etc/profile.d/libreoffice-fresh.sh , fixes a moderately longterm issue. If it doesn't work for you, you may use gtk instead of gtk3_kde5 as UI framework.


Something using Perl/Python/glibc broke

Rebuilds needed! If it's an AUR package, rebuild it. If it's a repo package, please report and check back regularly for rebuilds.


Issues with folder view widget in KDE v5.13

KDE introduced a new setting for icon sizes. Now you're able to define also the size for your panel. If you have a high-DPI display, you may want to increase the value. This will fix the display issue with given widget.

icon-kde-513


Pulseaudio changes

With this update we have a /etc/pulse/default.pa.pacnew. It may be necessary to merge (some lines related to “GSettings” in /etc/pulse/default.pa ) if 'default.pa' has been customised.


File conflict engrampa.tap

thunar-archive-plugin: /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in filesystem (owned by engrampa-thunar-plugin)

thunar-archive-plugin has added native support for the Engrampa archive manager. engrampa-thunar-plugin is no longer needed. Remove engrampa-thunar-plugin to continue with the update.


Kernel 4.9 issues

Seems on rare conditions you may face a faulty boot with linux49. It results in messages similar like this: <module> likely not compiled with -mcmodel=kernel. Also you will land in the emergency console.

We recommend to install at least another kernel as backup. You may follow this post to recover. v4.9.107-2 is known to be working.


:: alpm-octopi-utils: installing “pacman” (5.1.0-2) breaks the dependency with «pacman <5.1»

Make sure your mirrors are up-to-date. All package management tools should be compatible with pacman 5.1


:: ffmpeg2.8: installing x265 (2.8-1) breaks dependency ‘libx265.so=151-64’

ffmpeg2.8 is no longer in the repos. Remove it, and if you need it, rebuild/reinstall it from the AUR.


gcc54 and gcc5 are in conflict

For those using CUDA, if this error comes up, run the update from terminal
sudo pacman -Syyu
and type YES to replace gcc5 with gcc54


Extension "Workspace to Dock" is bugged

Be careful like there is a bug if you use the Extension "Workspace to Dock". You need to update/install this version in ~/.local/share/gnome-shell/extensions/ for not have desktop freeze after reboot : https://github.com/passingthru67/workspaces-to-dock/archive/master.zip

Thanks for nabd who have solved this issue : [Testing Update] 2018-05-11 - Kernels, GCC8, Gnome 3.28.2, Cinnamon, KDE Apps 18.04.1, LibreOffice


I see a lot of pacnew files

Well, there is no manual intervention needed for pacnew files coming from filesystem package. The best thing you can do is, do nothing.

Never, ever, ever, ever, ever merge the pacnew file for /etc/{passwd,shadow,gshadow,group}, unless you want to make the new comments match aesthetically with your in-use user accounts database. The only practical difference that merging can ever cause is to accidentally delete users or mangle the whole file's syntax and render your computer maybe unbootable.

More advice in this regard you may find here.


Nvidia drivers and Fermi support

With the current Nvidia driver release v396.24, support for the old Fermi cards got dropped. Please switch either over to Nouveau driver or downgrade to v390xx driver series.

Bumblebee users follow:

sudo mhwd -r pci video-hybrid-intel-nvidia-bumblebee
sudo mhwd -i pci video-hybrid-intel-nvidia-390xx-bumblebee

Normal users follow:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-nvidia-390xx

To switch to opensource drivers do:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-linux


Changes made to Glibc

The new version of glibc removes support for NIS and NIS+. The default /etc/nsswitch.conf file provided by filesystem package already reflects this change. Please make sure to merge pacnew file if it exists prior to upgrade.

NIS functionality can still be enabled by installing libnss_nis package. There is no replacement for NIS+ in the official repositories.


Changes made to PAM

pam 1.3.0-2 no longer ships pam_unix2 module and pam_unix_*.so compatibility symlinks. Before upgrading, review PAM configuration files in the /etc/pam.d directory and replace removed modules with pam_unix.so. Users of pam_unix2 should also reset their passwords after such change. Defaults provided by pambase package do not need any modifications.

Check grep -rn 'pam_unix[2_]' /etc/pam.d, if no output, you need to do nothing.


Samba units renamed

Note: In samba 4.8.0-1, the units were renamed from smbd.service and nmbd.service to smb.service and nmb.service.

To provide basic file sharing through SMB start/enable smb.service and/or nmb.service services. See the smbd(8) and nmbd(8) man pages for details, as the nmb.service service may not always be required.


Directory permissions differ

Directory permissions differ on /var/lib/samba/private/
filesystem: 755 package: 700

sudo chmod 700 /var/lib/samba/private/


Samba - Error 255: net usershare add: cannot convert name "Everyone" to a SID.

Currently there seems to be an issue when using group = sambashare with Samba 4.8.1-1, which is used by default in thesmb.conf provided by Manjaro. Changing it to group = +sambashare or force group = +sambashare resolves this. However, we might fill out a bug report, to see why that is currently needed.

Commenting/removing group = sambashare is also a viable solution.


Long delay for starting Desktop Environment

There's a bug which is exhausting the entropy pool. This is refilled over time through e.g. disk activity and mouse movement. You can increase the fill rate with a software solution:

sudo pacman -S haveged
sudo systemctl enable haveged
sudo systemctl start haveged

An alternative method if activating the haveged service is not something you want to do is to press the shift key 8-10 times in succession.

Is the snap done ? :stuck_out_tongue: :smiley:

Yes - why? :smile:

2 Likes

Just teasing. All worked flawlessly here! :smiley:

1 Like

Running Manjaro XFCE testing - Getting the following error on upgrading:

:: Synchronizing package databases...
 core                     150.1 KiB   382K/s 00:00 [######################] 100%
 extra                   1766.0 KiB   535K/s 00:03 [######################] 100%
 community                  4.9 MiB   469K/s 00:11 [######################] 100%
 multilib                 182.2 KiB   266K/s 00:01 [######################] 100%
:: Starting full system upgrade...
resolving dependencies...
looking for conflicting packages...
warning: removing 'pamac' from target list because it conflicts with 'pamac-dev'
error: failed to prepare transaction (could not satisfy dependencies)
:: unable to satisfy dependency 'pamac<7.2.0' required by manjaro-application-utility

Got this error when updating:

Command failed.
/dev/mapper/control: open failed: No such device
Failure to communicate with kernel device-mapper driver.
Check that device-mapper is available in the kernel.
Incompatible libdevmapper 1.02.150 (2018-08-01) and kernel driver (unknown version).
Command failed.
/dev/mapper/control: open failed: No such device
Failure to communicate with kernel device-mapper driver.
Check that device-mapper is available in the kernel.
Incompatible libdevmapper 1.02.150 (2018-08-01) and kernel driver (unknown version).
Command failed.
/dev/mapper/control: open failed: No such device
Failure to communicate with kernel device-mapper driver.
Check that device-mapper is available in the kernel.
Incompatible libdevmapper 1.02.150 (2018-08-01) and kernel driver (unknown version).
Command failed.

Edit : reboot without problem and all is working fine so far, will update if found something strange

Which changes were made to grub? In the thread, it mentions fsck. Should I add back to mkinitcpio?

I am receiving this error message, I listed in the referenced thread the whole.
Oct 14 11:30:09 xmg systemd[2384]: Failed to start Mark boot as successful.

Changes made to Grub-Quiet

You can only have one installed, pamac or pamac-dev. How did you install both?

1 Like

No problems here. Linux 418 - Xfce 4.13

Matcha theme is getting a very good theme, in a little time. Only VirtualBox configuration window title for VMs at dark themes still with light foreground and a little detail with xfce4-cpugraph-plugin I can report.

I change to xfce4-gtk3 this week. Very good here.
But after this update, the wallpaper of lightdm is not configurable anymore, but takes the same wallpaper of desktop configuration.

I'm starting to like it too. Matcha-sea is like Arc Manjaro (well it is based off Arc).

Also I make it a little darker by creating ~/.config/gtk-3.0/settings.ini

[Settings]
gtk-application-prefer-dark-theme=1

It makes panel items like performance monitors cleaner with dark backgrounds (like you're using a dark theme). But it doesn't make everything dark.

matcha-sea_dark_panel3

My boot flags are as follows:

GRUB_CMDLINE_LINUX_DEFAULT="mtrr_gran_size=32M mtrr_chunk_size=128M i915.modeset=1 nvidia-drm.modeset=1 acpi_osi=Linux acpi=force acpi_enforce_resources=lax libata.noacpi=1 libahci.ignore_sss=1 scsi_mod.use_blk_mq=1 dm_mod.use_blk_mq=1 intel_idle.max_cstate=0 processor.max_cstate=0 idle=poll fsck.repair=yes net.ifnames=0 biosdevname=0 nowatchdog hpet=disable clocksource=tsc tsc=reliable usbcore.autosuspend=-1 rd.systemd.show_status=false rd.udev.log-priority=3 vt.global_cursor_default=0"

My boot time slightly increase with grub-quiet.

Oct 14 11:30:09 xmg grub-set-bootflag[6638]: Error opening //boot/grub/grubenv for writing: Permission denied
Oct 14 11:30:09 xmg systemd[2384]: grub-boot-success.service: Main process exited, code=exited, status=1/FAILURE
Oct 14 11:30:09 xmg systemd[2384]: grub-boot-success.service: Failed with result 'exit-code'.

Is grub-boot-success.service a grub-quiet only service?

Not sure. This is a recent installation of the Manjaro testing ISO.

According to pacman, I cannot remove it as its a dependency for pamac.

[gnisha@solaris ~]$ sudo pacman -Rsn pamac-dev
checking dependencies...
error: failed to prepare transaction (could not satisfy dependencies)
:: manjaro-application-utility: removing pamac-dev breaks dependency 'pamac>=7.1.0'

All right for me. And pamac 7.2.0 is getting better and better. Thanks @guinux !

Yes, it is. have to check why that is.

Please do the following:

pamac install https://mirror.netzspielplatz.de/manjaro/packages/pool/overlay/manjaro-application-utility-dev-1.0.1dev-3-any.pkg.tar.xz
pamac upgrade

1 Like

@philm That worked great. Thanks!

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.

Forum kindly sponsored by